DROP TABLE CRST_CE_STATEMENT_LINES;

CREATE TABLE CRST_CE_STATEMENT_LINES
(
  STATEMENT_LINE_ID            NUMBER(15)       NOT NULL,
  STATEMENT_HEADER_ID          NUMBER(15)       NOT NULL,
  LINE_NUMBER                  NUMBER(15)       NOT NULL,
  TRX_DATE                     DATE             NOT NULL,
  TRX_TYPE                     VARCHAR2(30)     NOT NULL,
  AMOUNT                       NUMBER           NOT NULL,
  STATUS                       VARCHAR2(30)     NOT NULL,
  CREATED_BY                   NUMBER(15)       NOT NULL,
  CREATION_DATE                DATE             NOT NULL,
  LAST_UPDATED_BY              NUMBER(15)       NOT NULL,
  LAST_UPDATE_DATE             DATE             NOT NULL,
  TRX_CODE_ID                  NUMBER(15),
  EFFECTIVE_DATE               DATE,
  BANK_TRX_NUMBER              VARCHAR2(240),
  TRX_TEXT                     VARCHAR2(255),
  CUSTOMER_TEXT                VARCHAR2(80),
  INVOICE_TEXT                 VARCHAR2(30),
  BANK_ACCOUNT_TEXT            VARCHAR2(30),
  CURRENCY_CODE                VARCHAR2(15),
  EXCHANGE_RATE_TYPE           VARCHAR2(30),
  EXCHANGE_RATE                NUMBER,
  EXCHANGE_RATE_DATE           DATE,
  ORIGINAL_AMOUNT              NUMBER,
  CHARGES_AMOUNT               NUMBER,
  LAST_UPDATE_LOGIN            NUMBER(15),
  RECONCILE_TO_STATEMENT_FLAG  VARCHAR2(1),
  ATTRIBUTE_CATEGORY           VARCHAR2(30),
  ATTRIBUTE1                   VARCHAR2(150),
  ATTRIBUTE2                   VARCHAR2(150),
  ATTRIBUTE3                   VARCHAR2(150),
  ATTRIBUTE4                   VARCHAR2(150),
  ATTRIBUTE5                   VARCHAR2(150),
  ATTRIBUTE6                   VARCHAR2(150),
  ATTRIBUTE7                   VARCHAR2(150),
  ATTRIBUTE8                   VARCHAR2(150),
  ATTRIBUTE9                   VARCHAR2(150),
  ATTRIBUTE10                  VARCHAR2(150),
  ATTRIBUTE11                  VARCHAR2(150),
  ATTRIBUTE12                  VARCHAR2(150),
  ATTRIBUTE13                  VARCHAR2(150),
  ATTRIBUTE14                  VARCHAR2(150),
  ATTRIBUTE15                  VARCHAR2(150),
  CE_STATEMENT_LINES           VARCHAR2(240),
  STATEMENT_LINE_ID_NEW        NUMBER(15),
  STATEMENT_HEADER_ID_NEW      NUMBER(15)
);

